Bug 889765 - Erorr occurs when trying to modify users in horizo
Erorr occurs when trying to modify users in horizo
Status: CLOSED DUPLICATE of bug 888516
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
Yaniv Kaul
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-23 07:00 EST by Ofer Blaut
Modified: 2013-07-03 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-27 07:11:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2012-12-23 07:00:59 EST
Description of problem:

Erorr occurs when trying to modify users in horizon :-> admin -> projects - > modify users ( in actions tab )

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.login as admin
2.select projects
3. modify users
  
Actual results:

action failes and user get error "Error: An error occurred. Please try again." 

Expected results:

Admin should be able to edit users per project 

Additional info:
From httpd log file : 

[Sun Dec 23 13:55:48 2012] [error] \x1b[31;1mRecoverable error: The server has either erred or is incapable of performing the requested operation. (HTTP 500) (Request-ID: req-93c26b7d-6414-467c-973c-cf4e8b51a51f)\x1b[0m
[Sun Dec 23 13:55:48 2012] [error] Traceback (most recent call last):
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/usage/base.py", line 110, in get_quotas
[Sun Dec 23 13:55:48 2012] [error]     self.quotas = api.nova.tenant_quota_usages(self.request)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/utils/memoized.py", line 33, in __call__
[Sun Dec 23 13:55:48 2012] [error]     value = self.func(*args)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/api/nova.py", line 428, in tenant_quota_usages
[Sun Dec 23 13:55:48 2012] [error]     floating_ips = tenant_floating_ip_list(request)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/api/nova.py", line 252, in tenant_floating_ip_list
[Sun Dec 23 13:55:48 2012] [error]     return novaclient(request).floating_ips.list()
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/novaclient/v1_1/floating_ips.py", line 35, in list
[Sun Dec 23 13:55:48 2012] [error]     return self._list("/os-floating-ips", "floating_ips")
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/novaclient/base.py", line 62, in _list
[Sun Dec 23 13:55:48 2012] [error]     _resp, body = self.api.client.get(url)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/novaclient/client.py", line 241, in get
[Sun Dec 23 13:55:48 2012] [error]     return self._cs_request(url, 'GET', **kwargs)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/novaclient/client.py", line 228, in _cs_request
[Sun Dec 23 13:55:48 2012] [error]     **kwargs)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/novaclient/client.py", line 210, in _time_request
[Sun Dec 23 13:55:48 2012] [error]     resp, body = self.request(url, method, **kwargs)
[Sun Dec 23 13:55:48 2012] [error]   File "/usr/lib/python2.6/site-packages/novaclient/client.py", line 204, in request
[Sun Dec 23 13:55:48 2012] [error]     raise exceptions.from_response(resp, body)
[Sun Dec 23 13:55:48 2012] [error] ClientException: The server has either erred or is incapable of performing the requested operation. (HTTP 500) (Request-ID: req-93c26b7d-6414-467c-973c-cf4e8b51a51f)
[Sun Dec 23 13:55:56 2012] [error] Problem instantiating action class.
[Sun Dec 23 13:55:56 2012] [error] Traceback (most recent call last):
[Sun Dec 23 13:55:56 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/workflows/base.py", line 361, in action
[Sun Dec 23 13:55:56 2012] [error]     context)
[Sun Dec 23 13:55:56 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/syspanel/projects/workflows.py", line 110, in __init__
[Sun Dec 23 13:55:56 2012] [error]     redirect=reverse(INDEX_URL))
[Sun Dec 23 13:55:56 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/syspanel/projects/workflows.py", line 106, in __init__
[Sun Dec 23 13:55:56 2012] [error]     default_role = api.get_default_role(self.request).id
[Sun Dec 23 13:55:56 2012] [error] AttributeError: 'NoneType' object has no attribute 'id'
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136] mod_wsgi (pid=5467): Exception occurred processing WSGI script '/usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi'.
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136] Traceback (most recent call last):
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/core/handlers/wsgi.py", line 241, in __call__
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     response = self.get_response(request)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/core/handlers/base.py", line 179, in get_response
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     response = self.handle_uncaught_exception(request, resolver, sys.exc_info())
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/core/handlers/base.py", line 228, in handle_uncaught_exception
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return callback(request, **param_dict)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/utils/decorators.py", line 91, in _wrapped_view
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     response = view_func(request, *args, **kwargs)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/views/defaults.py", line 33, in server_error
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return http.HttpResponseServerError(t.render(Context({})))
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 140, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self._render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 134, in _render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self.nodelist.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 823, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     bit = self.render_node(node, context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 837, in render_node
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return node.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/loader_tags.py", line 123, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return compiled_parent._render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 134, in _render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self.nodelist.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 823, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     bit = self.render_node(node, context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 837, in render_node
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return node.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/loader_tags.py", line 155, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self.render_template(self.template, context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/loader_tags.py", line 137, in render_template
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     output = template.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 140, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self._render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 134, in _render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self.nodelist.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 823, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     bit = self.render_node(node, context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/django/template/base.py", line 837, in render_node
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return node.render(context)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/compressor/templatetags/compress.py", line 147, in render
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     return self.render_compressed(context, self.kind, self.mode, forced=forced)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/compressor/templatetags/compress.py", line 88, in render_compressed
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     cached_offline = self.render_offline(context, forced=forced)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]   File "/usr/lib/python2.6/site-packages/compressor/templatetags/compress.py", line 72, in render_offline
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136]     'You may need to run "python manage.py compress".' % key)
[Sun Dec 23 13:55:56 2012] [error] [client 10.35.3.136] OfflineGenerationError: You have offline compression enabled but key "1056718f92f8d4204721bac759b3871a" is missing from offline manifest. You may need to run "python manage.py compress".
Comment 2 Julie Pichon 2012-12-27 06:00:37 EST
Bug 888516 tracks several problems including this one (with modify users, modify quotas, modify project) -- I suspect they are all related to the same bug. (Possibly also related to Bug 889589.)
Comment 3 Julie Pichon 2012-12-27 07:11:00 EST
See bug 888516 for a workaround.

*** This bug has been marked as a duplicate of bug 888516 ***

Note You need to log in before you can comment on or make changes to this bug.